<?php

class Util
{

    public static function d($var)
    {
        var_dump($var);
        die;
    }

    public static function dt_br($date)
    {

        return date('d/m/Y', strtotime(($date)));

    }

    public static function OK($data = null, $contentType = "application/json")
    {

        header("Content-Type: {$contentType}");
        header('HTTP/1.0 200 OK');

        if(!isset($data['response'])) {
            $data['response'] = true;
        }

        if($contentType == "application/json") {
            echo json_encode($data);
        } else {
            echo $data;
        }

        die();

    }

    public static function ERROR($data, $contentType = "application/json")
    {

        header("Content-Type: {$contentType}");
        header('HTTP/1.0 500 Error');

        if($contentType == "application/json") {
            echo json_encode($data);
        } else {
            echo $data;
        }

        die();

    }

}